﻿div#loading {
    display: none;
    position: fixed;
    z-index: 9999999999;
    height: 2em;
    width: 2em;
    overflow: show;
    margin: auto;
    top: -10%;
    bottom: 0;
    left: 50%;
    margin-left: -45px;
}

    div#loading:before {
        content: '';
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0,0,0,0.1);
    }

@keyframes lds-facebook_1 {
    0% {
        top: 25px;
        height: 150px;
    }

    50% {
        top: 70px;
        height: 60px;
    }

    100% {
        top: 70px;
        height: 60px;
    }
}

@-webkit-keyframes lds-facebook_1 {
    0% {
        top: 25px;
        height: 150px;
    }

    50% {
        top: 70px;
        height: 60px;
    }

    100% {
        top: 70px;
        height: 60px;
    }
}

@keyframes lds-facebook_2 {
    0% {
        top: 36.25px;
        height: 127.5px;
    }

    50% {
        top: 70px;
        height: 60px;
    }

    100% {
        top: 70px;
        height: 60px;
    }
}

@-webkit-keyframes lds-facebook_2 {
    0% {
        top: 36.25px;
        height: 127.5px;
    }

    50% {
        top: 70px;
        height: 60px;
    }

    100% {
        top: 70px;
        height: 60px;
    }
}

@keyframes lds-facebook_3 {
    0% {
        top: 47.5px;
        height: 105px;
    }

    50% {
        top: 70px;
        height: 60px;
    }

    100% {
        top: 70px;
        height: 60px;
    }
}

@-webkit-keyframes lds-facebook_3 {
    0% {
        top: 47.5px;
        height: 105px;
    }

    50% {
        top: 70px;
        height: 60px;
    }

    100% {
        top: 70px;
        height: 60px;
    }
}

.lds-facebook {
    position: relative;
}

    .lds-facebook div {
        position: absolute;
        width: 20px;
    }

        .lds-facebook div:nth-child(1) {
            left: 40px;
            background: #212529;
            -webkit-animation: lds-facebook_1 1s cubic-bezier(0, 0.5, 0.5, 1) infinite;
            animation: lds-facebook_1 1s cubic-bezier(0, 0.5, 0.5, 1) infinite;
            -webkit-animation-delay: -0.2s;
            animation-delay: -0.2s;
        }

        .lds-facebook div:nth-child(2) {
            left: 90px;
            background: #4a68a4;
            -webkit-animation: lds-facebook_2 1s cubic-bezier(0, 0.5, 0.5, 1) infinite;
            animation: lds-facebook_2 1s cubic-bezier(0, 0.5, 0.5, 1) infinite;
            -webkit-animation-delay: -0.1s;
            animation-delay: -0.1s;
        }

        .lds-facebook div:nth-child(3) {
            left: 140px;
            background: #212529;
            -webkit-animation: lds-facebook_3 1s cubic-bezier(0, 0.5, 0.5, 1) infinite;
            animation: lds-facebook_3 1s cubic-bezier(0, 0.5, 0.5, 1) infinite;
        }

.lds-facebook {
    width: 100px !important;
    height: 100px !important;
    -webkit-transform: translate(-50px, -50px) scale(0.5) translate(50px, 50px);
    transform: translate(-50px, -50px) scale(0.5) translate(50px, 50px);
}